tvbrowser.extras.favoritesplugin.wizards

## Class RenameWizardStep

- java.lang.Object
- - tvbrowser.extras.favoritesplugin.wizards.AbstractWizardStep
  - - tvbrowser.extras.favoritesplugin.wizards.RenameWizardStep

- All Implemented Interfaces:
    WizardStep

      public class RenameWizardStep
      extends AbstractWizardStep

- - ### Field Summary

    - ### Fields inherited from interface tvbrowser.extras.favoritesplugin.wizards.WizardStep

      `BUTTON_BACK, BUTTON_CANCEL, BUTTON_DONE, BUTTON_NEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenameWizardStep(WizardStep caller)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WizardStep` | `back()`
    `protected javax.swing.JPanel` | `createContent(WizardHandler handler)`
    `java.lang.Object` | `createDataObject(java.lang.Object obj)`
    `int[]` | `getButtons()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isValid()`
    `WizardStep` | `next()`

    - ### Methods inherited from class tvbrowser.extras.favoritesplugin.wizards.AbstractWizardStep

      `getContent, getDoneBtnText, isSingleStep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenameWizardStep

          public RenameWizardStep(WizardStep caller)

  - ### Method Detail

    - #### createContent

          protected javax.swing.JPanel createContent(WizardHandler handler)

      Specified by:
        `createContent` in class `AbstractWizardStep`

    - #### getButtons

          public int[] getButtons()

    - #### getTitle

          public java.lang.String getTitle()

    - #### createDataObject

          public java.lang.Object createDataObject(java.lang.Object obj)

    - #### next

          public WizardStep next()

    - #### back

          public WizardStep back()

    - #### isValid

          public boolean isValid()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)